libzypp 17.38.15

PoolDefines.h File Reference
`#include <zypp-core/Globals.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::sat
| Libsolv interface
namespace | zypp::sat::detail

## Typedefs
using | zypp::sat::detail::CDataiterator = ::s_Dataiterator
| Wrapped libsolv C data type exposed as backdoor.
using | zypp::sat::detail::CDatamatcher = ::s_Datamatcher
| Wrapped libsolv C data type exposed as backdoor.
using | zypp::sat::detail::CMap = ::s_Map
| Wrapped libsolv C data type exposed as backdoor.
using | zypp::sat::detail::CPool = ::s_Pool
| Wrapped libsolv C data type exposed as backdoor.
using | zypp::sat::detail::CQueue = ::s_Queue
| Wrapped libsolv C data type exposed as backdoor.
using | zypp::sat::detail::CRepo = ::s_Repo
| Wrapped libsolv C data type exposed as backdoor.
using | zypp::sat::detail::CSolvable = ::s_Solvable
| Wrapped libsolv C data type exposed as backdoor.
using | zypp::sat::detail::CSolver = ::s_Solver
| Wrapped libsolv C data type exposed as backdoor.
using | zypp::sat::detail::CTransaction = ::s_Transaction
| Wrapped libsolv C data type exposed as backdoor.
using | zypp::sat::detail::IdType = int
| Generic Id type.
using | zypp::sat::detail::SolvableIdType = unsigned int
| Id type to connect Solvable and sat-solvable.
using | zypp::sat::detail::size_type = SolvableIdType
using | zypp::sat::detail::RepoIdType = CRepo *
| Id to denote Solvable::noSolvable.

## Functions
bool | zypp::sat::detail::isDepMarkerId (IdType id_r)
| Internal ids satlib includes in dependencies.